net.corda.core.contracts

## Class Fix

- net.corda.core.contracts.Fix

- All Implemented Interfaces:
    CommandData

      public class Fix
      implements CommandData

  A `class Fix` represents a named interest rate, on a given day, for a given duration. It can be embedded in a tx.

  See Also:
    `class Fix`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fix(FixOf of, java.math.BigDecimal value)` A `class Fix` represents a named interest rate, on a given day, for a given duration. It can be embedded in a tx.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FixOf` | `component1()`
    `java.math.BigDecimal` | `component2()`
    `Fix` | `copy(FixOf of, java.math.BigDecimal value)` A `class Fix` represents a named interest rate, on a given day, for a given duration. It can be embedded in a tx.
    `boolean` | `equals(java.lang.Object p)`
    `FixOf` | `getOf()`
    `java.math.BigDecimal` | `getValue()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Fix

          public Fix(FixOf of,
                     java.math.BigDecimal value)

      A `class Fix` represents a named interest rate, on a given day, for a given duration. It can be embedded in a tx.

      See Also:
        `class Fix`

  - ### Method Detail

    - #### getOf

          public FixOf getOf()

    - #### getValue

          public java.math.BigDecimal getValue()

    - #### component1

          public FixOf component1()

    - #### component2

          public java.math.BigDecimal component2()

    - #### copy

          public Fix copy(FixOf of,
                          java.math.BigDecimal value)

      A `class Fix` represents a named interest rate, on a given day, for a given duration. It can be embedded in a tx.

      See Also:
        `class Fix`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)